# git-mktree(1) Manual Page

## NAME

git-mktree - Build a tree-object from ls-tree formatted text

## SYNOPSIS

git-mktree [-z]

## DESCRIPTION

Reads standard input in non-recursive `ls-tree` output format, and creates a tree object. The object name of the tree object built is written to the standard output.

## OPTIONS

-z

  Read the NUL-terminated `ls-tree -z` output instead.

## Author

Written by Junio C Hamano <junkio@cox.net>

## Documentation

Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.

## GIT

Part of the git(7) suite